<header>
  <dx-toolbar class="header-toolbar">
    <dxi-item *ngIf="menuToggleEnabled" location="before" widget="dxButton" cssClass="menu-button" [options]="{
                icon: 'menu',
                stylingMode: 'text',
                onClick: toggleMenu
            }">
    </dxi-item>
    <dxi-item location="before" cssClass="header-title" *ngIf="companyName" [text]="companyName">
      <div *dxTemplate='let data of "item"' id='company-options' (click)='onShowMenuEv("#company-options")'>
        <p>{{data.text}}</p>
      </div>
    </dxi-item>
    <dxi-item location='after' widget="dxButton" cssClass="menu-button right-icon" [options]="{}">
      <div *dxTemplate="let data of 'item'" class='info-tab' (mouseenter)='onShowMenuEv("#plus-wizard")'>
        <img id='plus-wizard' class='tab-icons' src='/assets/img/add_circle_white.png' />
      </div>
    </dxi-item>
    <dxi-item location='after' widget="dxButton" cssClass="menu-button right-icon" [options]="{}">
      <div *dxTemplate="let data of 'item'">
        <a class='info-tab' target='_blank' href='{{manualUrl}}'>
          <img class='tab-icons' src='/assets/img/help.svg' />
        </a>
      </div>
    </dxi-item>
    <dxi-item location='after' widget="dxButton" cssClass="menu-button right-icon" [options]="{}">
      <div *dxTemplate="let data of 'item'">
        <a class='info-tab' [routerLink]='["/alert"]'>
          <img class='tab-icons' src='/assets/img/notification.png'>
        </a>
      </div>
    </dxi-item>

    <dxi-item location="after" locateInMenu="auto" cssClass="right-icon">
      <div *dxTemplate="let data of 'item'">
        <div id='user-options' (mouseenter)='onShowMenuEv("#user-options")'>
          <p class='symbol-text'>{{auth.user.symbol}}</p>
        </div>
      </div>
      <!-- <div *dxTemplate="let data of 'item'">
                <dx-button class="user-button authorization" width="170px" height="100%" stylingMode="text">
                    <div *dxTemplate="let data of 'content'">
                        <app-user-panel [menuItems]="userMenuItems" menuMode="context"></app-user-panel>
                    </div>
                </dx-button>
            </div> -->
    </dxi-item>
  </dx-toolbar>
</header>

<dx-popover class='submenu-popover' [target]='currentTarget' width='200' height='auto' maxHeight='370px' [(visible)]='isSubMenuVisible'
  [position]='{my: "right bottom", at:"top right", offset: "-5 -5"}'>
  <div *dxTemplate="let data = model of 'content'" (mouseleave)="onMenuLeave(item)">
    <dx-list class='submenu-list' [items]='menuItems' (onItemClick)='onIconMenuClick($event)' [height]='menuItems.length > 7 ? "370" : "auto"'>
      <div *dxTemplate='let data of "item"' [class.border-top]="data.text == 'Setări'" [class.border-bottom]="data.popup == 'isAddTransProgVisible' || data.popup == 'isPermitVisible'">
        <i *ngIf='data.icon' class='dx-icon dx-icon-{{data.icon}}'></i>
        <img [hidden]='!data.iconUrl' src='{{data.iconUrl}}' class='iconUrl-support'>
        <span style='margin-left: 5px'>{{data.text}}</span>
      </div>
    </dx-list>
  </div>
</dx-popover>


<app-invite-user [popupVisible]='isInviteUserVisible' (onClosePopup)='onInviteClose($event)'></app-invite-user>
<app-create-ticket [popupVisible]='isCreateTicketVisible' (onClosePopup)='onCreateTicketClose($event)'></app-create-ticket>
<app-add-company [popupVisible]='isAddCompanyVisible' (onClosePopup)='onAddCompanyClose($event)'></app-add-company>

<dx-popup [(visible)]='editC.isContractVisible' [minWidth]='ui.minWidthPopup' maxWidth='90vw' width='60vw' minHeight='300'
  maxHeight='90vh' height='auto' [title]='editC.popupTitle' (onHidden)='onAddEditHidden($event)' (onShown)='ui.onPopupShown($event)'>
  <div *dxTemplate="let data of 'content'">
    <dx-scroll-view [height]='ui.scrollHeight' direction="vertical" showScrollbar='always' [useNative]='false'>
      <app-edit-contract [contractData]='editC.contractModel'></app-edit-contract>
    </dx-scroll-view>
  </div>
  <dxi-toolbar-item toolbar="bottom" location="after" widget="dxButton" [options]="{ text:'Salvează şi adaugă', icon: 'assets/img/grid_add.svg', type: 'normal', onClick: editC.onSaveDataNew, validationGroup: editC.contractValidation }">
  </dxi-toolbar-item>
  <dxi-toolbar-item toolbar="bottom" location="after" widget="dxButton" [options]="{ text:'Salvează', icon:'save', type: 'normal', onClick: editC.onSaveData, validationGroup: editC.contractValidation }">
  </dxi-toolbar-item>
</dx-popup>

<dx-popup [(visible)]='editP.isPermitVisible' [minWidth]='ui.minWidthPopup' maxWidth='90vw' width='60vw' minHeight='300'
  maxHeight='90vh' height='auto' [title]='editP.popupTitle' (onHidden)='onAddEditHidden($event)' (onShown)='ui.onPopupShown($event)'>
  <div *dxTemplate="let data of 'content'">
    <dx-scroll-view [height]='ui.scrollHeight' direction="vertical" showScrollbar='always' [useNative]='false'>
      <app-edit-permit [permitData]='editP.permitModel'></app-edit-permit>
    </dx-scroll-view>
  </div>
  <dxi-toolbar-item toolbar="bottom" location="after" widget="dxButton" [options]="{ text:'Salvează şi adaugă', icon: 'assets/img/grid_add.svg', type: 'normal', onClick: editP.onSaveDataNew, validationGroup: editP.permitValidation }">
  </dxi-toolbar-item>
  <dxi-toolbar-item toolbar="bottom" location="after" widget="dxButton" [options]="{ text:'Salvează', icon:'save', type: 'normal', onClick: editP.onSaveData, validationGroup: editP.permitValidation }">
  </dxi-toolbar-item>
</dx-popup>
